Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/changes' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"items": [
{
"action": "added",
"id": "676c28586b01e0e140a9e4e3",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 15:44:24 UTC",
"value": {
"group": "tones",
"id": 200234,
"name": "shocking"
}
},
{
"action": "added",
"id": "676c285e7ba3c45440a9e71e",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 15:44:30 UTC",
"value": {
"group": "tones",
"id": 325799,
"name": "disheartening"
}
},
{
"action": "deleted",
"id": "676c3aec3187bef8487ec7f9",
"iso_3166_1": "",
"iso_639_1": "",
"original_value": {
"group": "tones",
"id": 200234,
"name": "shocking"
},
"time": "2024-12-25 17:03:40 UTC"
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "676bc75491da026ccb64a0d7",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 08:50:28 UTC",
"value": {
"title_logo": {
"file_path": "/bKvyyDSl6rGPlMjADqM0TGpSXoA.png"
}
}
},
{
"action": "updated",
"id": "676bc76291da026ccb64a0e0",
"iso_3166_1": "",
"iso_639_1": "pt",
"original_value": {
"title_logo": {
"file_path": "/bKvyyDSl6rGPlMjADqM0TGpSXoA.png",
"iso_639_1": null
}
},
"time": "2024-12-25 08:50:42 UTC",
"value": {
"title_logo": {
"file_path": "/bKvyyDSl6rGPlMjADqM0TGpSXoA.png",
"iso_639_1": "pt"
}
}
},
{
"action": "added",
"id": "676bc7d591da026ccb64a0ff",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 08:52:37 UTC",
"value": {
"title_logo": {
"file_path": "/hwGCpTocOwrndkzBLEoh4dXpUs2.png"
}
}
},
{
"action": "updated",
"id": "676bc7f516fdd844f07ebfe2",
"iso_3166_1": "",
"iso_639_1": "pt",
"original_value": {
"title_logo": {
"file_path": "/hwGCpTocOwrndkzBLEoh4dXpUs2.png",
"iso_639_1": null
}
},
"time": "2024-12-25 08:53:09 UTC",
"value": {
"title_logo": {
"file_path": "/hwGCpTocOwrndkzBLEoh4dXpUs2.png",
"iso_639_1": "pt"
}
}
}
],
"key": "images"
},
{
"items": [
{
"action": "updated",
"id": "676c5734f9d936e31493e7f1",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 19:04:20 UTC",
"value": {
"season_id": 287516,
"season_number": 2
}
}
],
"key": "season"
}
]
}This endpoint retrieves the recent changes that have been made to a TV show.
You can query this endpoint within the range of 14 days by using
start_date and end_date. If not specified, it retrieves changes that were made in the last 24 hours.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the end date.
"28-12-2024"
This represents the page number.
"1"
This represents the end date.
"25-12-2024"
Changes
Show child attributes
[
{
"items": [
{
"action": "added",
"id": "676c28586b01e0e140a9e4e3",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 15:44:24 UTC",
"value": {
"group": "tones",
"id": 200234,
"name": "shocking"
}
},
{
"action": "added",
"id": "676c285e7ba3c45440a9e71e",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 15:44:30 UTC",
"value": {
"group": "tones",
"id": 325799,
"name": "disheartening"
}
},
{
"action": "deleted",
"id": "676c3aec3187bef8487ec7f9",
"iso_3166_1": "",
"iso_639_1": "",
"original_value": {
"group": "tones",
"id": 200234,
"name": "shocking"
},
"time": "2024-12-25 17:03:40 UTC"
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "676bc75491da026ccb64a0d7",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 08:50:28 UTC",
"value": {
"title_logo": {
"file_path": "/bKvyyDSl6rGPlMjADqM0TGpSXoA.png"
}
}
},
{
"action": "updated",
"id": "676bc76291da026ccb64a0e0",
"iso_3166_1": "",
"iso_639_1": "pt",
"original_value": {
"title_logo": {
"file_path": "/bKvyyDSl6rGPlMjADqM0TGpSXoA.png",
"iso_639_1": null
}
},
"time": "2024-12-25 08:50:42 UTC",
"value": {
"title_logo": {
"file_path": "/bKvyyDSl6rGPlMjADqM0TGpSXoA.png",
"iso_639_1": "pt"
}
}
},
{
"action": "added",
"id": "676bc7d591da026ccb64a0ff",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 08:52:37 UTC",
"value": {
"title_logo": {
"file_path": "/hwGCpTocOwrndkzBLEoh4dXpUs2.png"
}
}
},
{
"action": "updated",
"id": "676bc7f516fdd844f07ebfe2",
"iso_3166_1": "",
"iso_639_1": "pt",
"original_value": {
"title_logo": {
"file_path": "/hwGCpTocOwrndkzBLEoh4dXpUs2.png",
"iso_639_1": null
}
},
"time": "2024-12-25 08:53:09 UTC",
"value": {
"title_logo": {
"file_path": "/hwGCpTocOwrndkzBLEoh4dXpUs2.png",
"iso_639_1": "pt"
}
}
}
],
"key": "images"
},
{
"items": [
{
"action": "updated",
"id": "676c5734f9d936e31493e7f1",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2024-12-25 19:04:20 UTC",
"value": { "season_id": 287516, "season_number": 2 }
}
],
"key": "season"
}
]